Bug 1254481 - [origin_devexp_600]ConfigChange trigger displays between Generic and Github trigger only when build with source code repo
[origin_devexp_600]ConfigChange trigger displays between Generic and Github t...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Cesar Wong
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 04:42 EDT by Wenjing Zheng
Modified: 2016-05-12 13:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:15:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wenjing Zheng 2015-08-18 04:42:13 EDT
Description:
ConfigChange trigger displays between Generic and Github trigger when build with source code repo.

Version-Release number of selected component (if applicable):
openshift v1.0.4-292-g720c12f
kubernetes v1.1.0-alpha.0-1605-g44c91b1

How reproducible:
always

steps to Reproduce:
1. Log into webconsole
2. Create a new project
3. Click Add to Project button and input below link in part of Create Using Your Code
https://github.com/openshift/ruby-hello-world
4. Click Next, choose a builder image, click Create button
5. Go to Browse page

Actual results:
The trigger order is as below:
Triggers:

Generic webhook URL
Learn more Show URL  

ConfigChange

GitHub webhook URL
Learn more Show URL  

New image for:
Image stream openshift/ruby:2.0

Expected results:
The order should be like other build way:
Triggers:

Generic webhook URL
Learn more Show URL  

GitHub webhook URL
Learn more Show URL 

ConfigChange 

New image for:
Image stream openshift/ruby:2.0

Additional info:
Comment 1 Jessica Forrester 2016-02-01 14:37:24 EST
this is showing up in the correct order now, may have already been fixed
Comment 2 Wenjing Zheng 2016-02-01 22:18:15 EST
Verified on devenv-rhel7_3301. ConfigChange is not between Github and Generic webhook now.

Note You need to log in before you can comment on or make changes to this bug.